<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/view_top"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@android:color/white"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_marginStart="20dp"
            android:src="@drawable/ic_date_filter" />


        <LinearLayout
            android:id="@+id/view_date_filter_from"
            android:layout_width="0dp"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="2dp"
            android:layout_weight="1"
            android:background="@drawable/bg_calender"
            android:gravity="center_vertical"
            android:tag="FROM">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:text="From"
                android:textSize="@dimen/small_text_size" />

            <View
                android:layout_width="0.5dp"
                android:layout_height="match_parent"
                android:layout_marginStart="7dp"
                android:layout_marginTop="7dp"
                android:layout_marginBottom="7dp"
                android:background="@color/colorLine" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/ctv_filter_from"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="7dp"
                android:layout_marginEnd="5dp"
                android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="Sep 10, 2018"
                android:textAlignment="textStart"
                android:textColor="@android:color/black"
                android:textSize="@dimen/small_text_size"
                android:textStyle="bold" />


        </LinearLayout>

        <LinearLayout
            android:id="@+id/view_date_filter_to"
            android:layout_width="0dp"
            android:layout_height="30dp"
            android:layout_marginStart="2dp"
            android:layout_marginEnd="20dp"
            android:layout_weight="1"
            android:background="@drawable/bg_calender"
            android:gravity="center_vertical"
            android:tag="TO">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:text="@string/to_date"
                android:textSize="@dimen/small_text_size" />

            <View
                android:layout_width="0.5dp"
                android:layout_height="match_parent"
                android:layout_marginStart="7dp"
                android:layout_marginTop="7dp"
                android:layout_marginBottom="7dp"
                android:background="@color/colorLine" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/ctv_filter_to"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="7dp"
                android:layout_marginEnd="5dp"
                android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="Sep 10, 2018"
                android:textAlignment="textStart"
                android:textColor="@android:color/black"
                android:textSize="@dimen/small_text_size"
                android:textStyle="bold" />

        </LinearLayout>
    </LinearLayout>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/text_login_signup"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:gravity="center"
        android:tag="LOGIN_SIGNUP"
        android:text="Login or Signup"
        android:textSize="25sp"
        android:textStyle="bold"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view_internet_billing"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="@dimen/margin_1x_size"
        app:layout_constraintBottom_toTopOf="@+id/layout_parent_billing"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_top" />

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />


    <LinearLayout
        android:id="@+id/layout_parent_billing"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:orientation="vertical">


            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_view_total"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/total"
                    android:textAlignment="textEnd"
                    android:textColor="@android:color/white"
                    android:textSize="11sp"
                    android:visibility="gone"
                    tools:ignore="SmallSp" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_view_total_value"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/text_view_total"
                    android:text="@string/call"
                    android:textAlignment="textEnd"
                    android:textColor="@android:color/white"
                    android:textSize="11sp"
                    tools:ignore="SmallSp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_view_total_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:text="0"
                    android:textColor="@android:color/white"
                    android:textSize="20sp"
                    android:textStyle="bold" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/ctv_min"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/text_view_total_number"
                    android:layout_marginStart="3dp"
                    android:layout_toEndOf="@+id/text_view_total_number"
                    android:text="min"
                    android:textColor="@android:color/white"
                    android:textSize="11sp"
                    tools:ignore="SmallSp" />
            </RelativeLayout>

        </LinearLayout>

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@color/colorPrimary">

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:alpha="0.7"
                android:background="@color/colorLine" />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:orientation="vertical">


            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_view_total2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/total"
                    android:textAlignment="textEnd"
                    android:textColor="@android:color/white"
                    android:textSize="11sp"
                    android:visibility="gone"
                    tools:ignore="SmallSp" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_view_total_cost"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/text_view_total2"
                    android:text="@string/charged"
                    android:textAlignment="textEnd"
                    android:textColor="@android:color/white"
                    android:textSize="11sp"
                    tools:ignore="SmallSp" />
            </RelativeLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:layout_marginStart="3dp"
                android:background="@color/bg_color"
                android:visibility="gone" />

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/ctv_sign_dolla"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:text="$"
                    android:textColor="@android:color/white"
                    android:textSize="20sp" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_view_total_cost_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_toEndOf="@+id/ctv_sign_dolla"
                    android:textColor="@android:color/white"
                    android:textSize="20sp"
                    android:textStyle="bold" />
            </RelativeLayout>

        </LinearLayout>

        <!--<RelativeLayout-->
        <!--android:id="@+id/layout_sub2"-->
        <!--android:layout_width="match_parent"-->
        <!--android:layout_height="match_parent"-->
        <!--android:layout_weight="1"-->
        <!--android:background="@color/colorPrimary"-->
        <!--android:orientation="horizontal"-->
        <!--android:visibility="gone">-->


        <!--<com.example.seatel.util.customview.CustomTextView-->
        <!--android:id="@+id/text_view_total_call2"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:layout_alignParentStart="true"-->
        <!--android:layout_centerVertical="true"-->
        <!--android:layout_marginStart="15dp"-->
        <!--android:text="@string/download_pdf"-->
        <!--android:textAlignment="textEnd"-->
        <!--android:textColor="@android:color/white"-->
        <!--android:textSize="11sp"-->
        <!--tools:ignore="SmallSp" />-->

        <!--<View-->
        <!--android:id="@+id/view_line2"-->
        <!--android:layout_width="1dp"-->
        <!--android:layout_height="28dp"-->
        <!--android:layout_centerVertical="true"-->
        <!--android:layout_marginStart="3dp"-->
        <!--android:layout_toEndOf="@+id/text_view_total_call2"-->
        <!--android:background="@color/bg_color"-->
        <!--android:visibility="gone" />-->

        <!--<ImageView-->
        <!--android:layout_width="30dp"-->
        <!--android:layout_height="30sp"-->
        <!--android:layout_centerVertical="true"-->
        <!--android:layout_marginStart="10dp"-->
        <!--android:layout_toEndOf="@+id/view_line2"-->
        <!--android:src="@drawable/ic_download_pdf_billing" />-->

        <!--</RelativeLayout>-->

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>